condivisi.soap

## Class PDDASLHandler

- java.lang.Object
- - condivisi.soap.PDDASLHandler

- All Implemented Interfaces:
    javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>, javax.xml.ws.handler.soap.SOAPHandler<javax.xml.ws.handler.soap.SOAPMessageContext>

      public class PDDASLHandler
      extends java.lang.Object
      implements javax.xml.ws.handler.soap.SOAPHandler<javax.xml.ws.handler.soap.SOAPMessageContext>

  Author:
    DiCegliem

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDDASLHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `analisiFaultPDDGateway(javax.xml.soap.SOAPMessage messaggio)` Analizza un SOAPMessage e se si tratta di un SOAPFault solleva la relativa eccezione
    `void` | `close(javax.xml.ws.handler.MessageContext context)`
    `java.util.Set<javax.xml.namespace.QName>` | `getHeaders()`
    `boolean` | `handleFault(javax.xml.ws.handler.soap.SOAPMessageContext messageContext)`
    `boolean` | `handleMessage(javax.xml.ws.handler.soap.SOAPMessageContext messageContext)`
    `static javax.xml.soap.SOAPMessage` | `inviaMessaggio(javax.xml.soap.SOAPMessage message, java.lang.String url, java.lang.String idTransazione)`
    `static java.security.cert.X509CRL` | `loadCRLFromFile(java.lang.String fileCRL, java.lang.String stringFlagMorsetti)`
    `static java.util.HashMap<java.lang.String,java.security.cert.X509CRL>` | `loadListCRL(java.lang.String pathFolder, java.lang.String flagMorsetto)`
    `javax.xml.soap.SOAPMessage` | `toSOAPMessage(java.io.InputStream is)`
    `java.lang.String` | `toString(javax.xml.soap.SOAPMessage message)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDDASLHandler

          public PDDASLHandler()

  - ### Method Detail

    - #### handleMessage

          public boolean handleMessage(javax.xml.ws.handler.soap.SOAPMessageContext messageContext)

      Specified by:
        `handleMessage` in interface `javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>`

    - #### getHeaders

          public java.util.Set<javax.xml.namespace.QName> getHeaders()

      Specified by:
        `getHeaders` in interface `javax.xml.ws.handler.soap.SOAPHandler<javax.xml.ws.handler.soap.SOAPMessageContext>`

    - #### handleFault

          public boolean handleFault(javax.xml.ws.handler.soap.SOAPMessageContext messageContext)

      Specified by:
        `handleFault` in interface `javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>`

    - #### close

          public void close(javax.xml.ws.handler.MessageContext context)

      Specified by:
        `close` in interface `javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>`

    - #### toString

          public java.lang.String toString(javax.xml.soap.SOAPMessage message)
                                    throws javax.xml.soap.SOAPException

      Throws:
        `javax.xml.soap.SOAPException`

    - #### toSOAPMessage

          public javax.xml.soap.SOAPMessage toSOAPMessage(java.io.InputStream is)
                                                   throws javax.xml.soap.SOAPException

      Throws:
        `javax.xml.soap.SOAPException`

    - #### inviaMessaggio

          public static javax.xml.soap.SOAPMessage inviaMessaggio(javax.xml.soap.SOAPMessage message,
                                                                  java.lang.String url,
                                                                  java.lang.String idTransazione)
                                                           throws javax.xml.soap.SOAPException

      Throws:
        `javax.xml.soap.SOAPException`

    - #### analisiFaultPDDGateway

          public void analisiFaultPDDGateway(javax.xml.soap.SOAPMessage messaggio)
                                      throws javax.xml.soap.SOAPException,
                                             java.lang.Exception

      Analizza un SOAPMessage e se si tratta di un SOAPFault solleva la relativa eccezione
      Parameters:
        `messaggio` -
      Throws:
        `javax.xml.soap.SOAPException`
        `ApplicationException`
        `java.lang.Exception`

    - #### loadListCRL

          public static java.util.HashMap<java.lang.String,java.security.cert.X509CRL> loadListCRL(java.lang.String pathFolder,
                                                                                                   java.lang.String flagMorsetto)
                                                                                            throws java.security.cert.CertificateException,
                                                                                                   java.security.cert.CRLException,
                                                                                                   java.io.IOException

      Throws:
        `java.security.cert.CertificateException`
        `java.security.cert.CRLException`
        `java.io.IOException`

    - #### loadCRLFromFile

          public static java.security.cert.X509CRL loadCRLFromFile(java.lang.String fileCRL,
                                                                   java.lang.String stringFlagMorsetti)
                                                            throws java.security.cert.CertificateException,
                                                                   java.security.cert.CRLException,
                                                                   java.io.IOException

      Throws:
        `java.security.cert.CertificateException`
        `java.security.cert.CRLException`
        `java.io.IOException`